# Get events

`GET https://api.strike.me/v1/events`

Source: https://docs.strike.me/api/get-events/

---

Required scopes:

- partner.webhooks.manage

OData supported operators:

- logical operators: **Or, And, Equal, GreaterThan, GreaterThanOrEqual, LessThan, LessThanOrEqual**
- arithmetic operators: **None**
- functions: **None**

OData filtering syntax can be seen [here](https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-odata/7d6c4117-317d-4860-915b-7e321be017e3). Ordering syntax can be seen [here](https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-odata/793b1e83-95ee-4446-8434-f5b634f20d1e).

## Query parameters

- `$filter` (string): Filter the results using OData syntax. Supported properties: **created**, **eventType**, **deliverySuccess**.
- `$orderby` (string): Order the results using OData syntax. Supported properties: **created**.
- `$skip` (int32): Skip the specified number of entries.
- `$top` (int32): Get the top X number of records. Max value: 100.

## Responses

### 200 OK

`application/json`

- `items` (object[], required): The page items.
  - `id` (uuid, required): The ID of the event.
  - `eventType` (string, required): The event that occured.
  - `webhookVersion` (string, required): Version of the payload format. One of `v1`, `v2`.
  - `data` (object, required): The payload of the event.
  - `created` (date-time, required): Time at which the event has been created.
  - `deliverySuccess` (boolean): Status of the event delivery attempt. If all associated delivery attempts are successful, the event is considered delivered and this is `true`. Otherwise, if any delivery attempt is still pending or unsuccessful, the event is considered undelivered and this is `false`. If no delivery attempt is associated with the event, this is null.
- `count` (int64, required): Total number of records. When IsCountUnknown is true, this value should be ignored.
- `isCountUnknown` (boolean, required): Indicates whether the total count is unknown or could not be determined. When true, the Count property should be ignored.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
